BITCOIN-UTIL(1)

NAME
bitcoin-util - manual page for bitcoin-util v24.1.0rc1

SYNOPSIS
bitcoin-util [options] [commands] Do stuff

DESCRIPTION
Bitcoin Core bitcoin-util utility version v24.1.0rc1

OPTIONS

-?

    Print this help message and exit

-version

    Print version and exit

Debugging/Testing options:

Chain selection options:

-chain=<chain>

    Use the chain <chain> (default: main). Allowed values: main, test, signet, regtest

-signet

    Use the signet chain. Equivalent to -chain=signet. Note that the network is defined by the -signetchallenge parameter

-signetchallenge

    Blocks must satisfy the given script to be considered valid (only for signet networks; defaults to the global default signet test network challenge)

-signetseednode

    Specify a seed node for the signet network, in the hostname[:port] format, e.g. sig.net:1234 (may be used multiple times to specify multiple seed nodes; defaults to the global default signet test network seed node(s))

-testnet

    Use the test chain. Equivalent to -chain=test.

Commands:

    grind

    Perform proof of work on hex header string

COPYRIGHT
Copyright (C) 2009-2022 The Bitcoin Core developers Please contribute if you find Bitcoin Core useful. Visit <https://bitcoincore.org/> for further information about the software. The source code is available from <https://github.com/bitcoin/bitcoin>. This is experimental software. Distributed under the MIT software license, see the accompanying file COPYING or <https://opensource.org/licenses/MIT>